﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ModeloDocumentosFX
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    
    public partial class ModeloDocumentosFXContainer : DbContext
    {
        public ModeloDocumentosFXContainer()
            : base("name=ModeloDocumentosFXContainer")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public virtual DbSet<VMX_FE> VMX_FE { get; set; }
        public virtual DbSet<CLIENTE_CONFIGURACION> CLIENTE_CONFIGURACION { get; set; }
        public virtual DbSet<EMPRESA> EMPRESA { get; set; }
        public virtual DbSet<FACTURA> FACTURA { get; set; }
        public virtual DbSet<cxpConciliacion> cxpConciliacionSet { get; set; }
        public virtual DbSet<CFDI_USUARIO> CFDI_USUARIO { get; set; }
        public virtual DbSet<ndcFacturaLinea> ndcFacturaLineaSet { get; set; }
        public virtual DbSet<ndcFactura> ndcFacturaSet { get; set; }
        public virtual DbSet<usuarios> usuariosSet { get; set; }
        public virtual DbSet<comprobantePago> comprobantePagoSet { get; set; }
        public virtual DbSet<configuracionConexion> configuracionConexionSet { get; set; }
        public virtual DbSet<configuracionProducto> configuracionProductoSet { get; set; }
        public virtual DbSet<configuracionUM> configuracionUMSet { get; set; }
        public virtual DbSet<configuracionUMproducto> configuracionUMproductoSet { get; set; }
        public virtual DbSet<configuracionPartes> configuracionPartesSet { get; set; }
        public virtual DbSet<LogFX> LogFXSet { get; set; }
        public virtual DbSet<InformacionGlobal> InformacionGlobalSet { get; set; }
        public virtual DbSet<cceCliente> cceClienteSet { get; set; }
    }
}
